@use "../../../styles/colors";
@use "../../../styles/mixins";
@use "../../../styles/defaults";

.features {
  margin-bottom: 12.5rem;
}

.header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 32%;
  margin-inline: auto;
  text-align: center;
}

.features-heading {
  text-transform: capitalize;
  margin-bottom: 0.9rem;
}

.features-description {
  @include mixins.section-description;
  margin-bottom: 3rem;
}

@media (min-width: 769px) and(max-width: 1050px) {
  .header {
    width: 40%;
  }
}

@media (max-width: defaults.$mobile-width) {
  .features {
    margin-bottom: 10rem;
  }
  .header {
    width: 100%;
  }
  .features-heading {
    font-size: 1.2rem;
    font-weight: 600;
    margin-bottom: 0.6rem;
  }
  .features-description {
    font-size: 0.8rem;
    margin: 0 2rem 1.8rem;
  }
}
